Bug 998226 - [abrt] qt-creator-2.8.0-1.fc19: int: Process /usr/bin/qtcreator was killed by signal 11 (SIGSEGV)
[abrt] qt-creator-2.8.0-1.fc19: int: Process /usr/bin/qtcreator was killed by...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qt-creator (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
abrt_hash:3c9f94fd21dd15a05a8ce2fc35b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-18 08:07 EDT by arkangelhacket
Modified: 2014-12-08 08:28 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-20 06:27:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (136.58 KB, text/plain)
2013-08-18 08:07 EDT, arkangelhacket
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-18 08:07 EDT, arkangelhacket
no flags Details
File: core_backtrace (49.51 KB, text/plain)
2013-08-18 08:07 EDT, arkangelhacket
no flags Details
File: dso_list (50.30 KB, text/plain)
2013-08-18 08:07 EDT, arkangelhacket
no flags Details
File: environ (1.88 KB, text/plain)
2013-08-18 08:07 EDT, arkangelhacket
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-18 08:07 EDT, arkangelhacket
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-18 08:07 EDT, arkangelhacket
no flags Details
File: maps (183.42 KB, text/plain)
2013-08-18 08:08 EDT, arkangelhacket
no flags Details
File: open_fds (3.89 KB, text/plain)
2013-08-18 08:08 EDT, arkangelhacket
no flags Details
File: proc_pid_status (952 bytes, text/plain)
2013-08-18 08:08 EDT, arkangelhacket
no flags Details
File: var_log_messages (328 bytes, text/plain)
2013-08-18 08:08 EDT, arkangelhacket
no flags Details

  None (edit)
Description arkangelhacket 2013-08-18 08:07:01 EDT
Description of problem:
estaba compilando y al intentar cancelar la compilacion para cerrar un proyecto que no queria que compilara se produjo el crast

Version-Release number of selected component:
qt-creator-2.8.0-1.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/qtcreator
crash_function: int
executable:     /usr/bin/qtcreator
kernel:         3.10.5-201.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 operator int at ../../src/corelib/thread/qbasicatomic.h:85
 #1 QObject::~QObject at kernel/qobject.cpp:829
 #2 ~QtcProcess at ./qtcprocess.h:40
 #3 Utils::QtcProcess::~QtcProcess at ./qtcprocess.h:40
 #4 ProjectExplorer::AbstractProcessStep::~AbstractProcessStep at abstractprocessstep.cpp:106
 #5 Qt4ProjectManager::MakeStep::~MakeStep at makestep.cpp:98
 #6 qDeleteAll<QList<ProjectExplorer::BuildStep*>::const_iterator> at /usr/include/QtCore/qalgorithms.h:322
 #7 qDeleteAll<QList<ProjectExplorer::BuildStep*> > at /usr/include/QtCore/qalgorithms.h:330
 #8 ProjectExplorer::BuildStepList::~BuildStepList at buildsteplist.cpp:95
 #10 QObjectPrivate::deleteChildren at kernel/qobject.cpp:1907
Comment 1 arkangelhacket 2013-08-18 08:07:22 EDT
Created attachment 787765 [details]
File: backtrace
Comment 2 arkangelhacket 2013-08-18 08:07:26 EDT
Created attachment 787766 [details]
File: cgroup
Comment 3 arkangelhacket 2013-08-18 08:07:36 EDT
Created attachment 787767 [details]
File: core_backtrace
Comment 4 arkangelhacket 2013-08-18 08:07:43 EDT
Created attachment 787768 [details]
File: dso_list
Comment 5 arkangelhacket 2013-08-18 08:07:47 EDT
Created attachment 787769 [details]
File: environ
Comment 6 arkangelhacket 2013-08-18 08:07:51 EDT
Created attachment 787770 [details]
File: exploitable
Comment 7 arkangelhacket 2013-08-18 08:07:54 EDT
Created attachment 787771 [details]
File: limits
Comment 8 arkangelhacket 2013-08-18 08:08:07 EDT
Created attachment 787772 [details]
File: maps
Comment 9 arkangelhacket 2013-08-18 08:08:11 EDT
Created attachment 787773 [details]
File: open_fds
Comment 10 arkangelhacket 2013-08-18 08:08:15 EDT
Created attachment 787774 [details]
File: proc_pid_status
Comment 11 arkangelhacket 2013-08-18 08:08:18 EDT
Created attachment 787775 [details]
File: var_log_messages
Comment 12 Sandro Mani 2013-10-17 18:00:49 EDT
Please test against 2.8.1-1 from updates testing, and if the issue still occurs, consider reporting the bug upstream at [1] and post a link here. Thanks.

[1] https://bugreports.qt-project.org/browse/QTCREATORBUG
Comment 13 Sandro Mani 2013-11-20 06:27:38 EST
Closing due to no reaction from reporter. Please reopen if issue can be reproduced with new version.

Note You need to log in before you can comment on or make changes to this bug.